For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
      • GETGet a list of a counterpart's e-invoicing credentials
      • POSTAdd e-invoicing credentials for a counterpart
      • GETGet a counterpart's e-invoicing credentials by ID
      • DELDelete a counterpart's e-invoicing credentials
      • PATCHUpdate a counterpart's e-invoicing credentials
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
E-invoicingCounterpart e-invoicing credentials

Add e-invoicing credentials for a counterpart

POST
/counterparts/:counterpart_id/einvoicing_credentials
POST
/v1/counterparts/:counterpart_id/einvoicing_credentials
$curl -X POST https://api.sandbox.monite.com/v1/counterparts/counterpart_id/einvoicing_credentials \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "counterpart_vat_id_id": "14c84a34-282b-4fd8-8af6-86b5b5f2c212"
>}'
1{
2 "id": "id",
3 "network_identifier": "network_identifier",
4 "network_schema": "DE:VAT"
5}
Was this page helpful?
Previous

Get a counterpart’s e-invoicing credentials by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired

Response

Successful Response
idstringformat: "uuid"
network_identifierstring1-255 characters
network_schemaenum
Allowed values:

Errors

401
Post Counterparts ID Einvoicing Credentials Request Unauthorized Error
404
Post Counterparts ID Einvoicing Credentials Request Not Found Error
409
Post Counterparts ID Einvoicing Credentials Request Conflict Error
422
Post Counterparts ID Einvoicing Credentials Request Unprocessable Entity Error
429
Post Counterparts ID Einvoicing Credentials Request Too Many Requests Error